% objem_body.m
% Maxima a minima objemove krivky

function [objem_max, objem_min] = objem_body(objem_kor, polohy_nul_prutok, poc_dech)

objem_max = zeros(poc_dech+1,2); % pocet klidovych nadechu + maximalni nadech
objem_min = zeros(poc_dech+1,2); % pocet klidovych vydechu + maximalni usilovny vydech
objem_max(:,1) = polohy_nul_prutok(2:2:(2*poc_dech+2)); % polohy maxim urceny z nulovych bodu prutoku
objem_min(:,1) = polohy_nul_prutok(3:2:(2*poc_dech+3)); % polohy minim urceny z nulovych bodu prutoku

for i=1:(poc_dech+1) 
    objem_max(i,2) = objem_kor(objem_max(i,1)); % Urceni hodnoty maxima
end

for i=1:(poc_dech+1)
    objem_min(i,2) = objem_kor(objem_min(i,1)); % Urceni hodnoty minima
end

